org.apache.lucene.search.intervals

## Class IntervalsSource

- java.lang.Object
- - org.apache.lucene.search.intervals.IntervalsSource

-     public abstract class IntervalsSource
      extends Object

  A helper class for `IntervalQuery` that provides an `IntervalIterator` for a given field and segment Static constructor functions for various different sources can be found in the `Intervals` class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntervalsSource()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `equals(Object other)`
    `abstract void` | `extractTerms(String field, Set<Term> terms)` Expert: collect `Term` objects from this source, to be used for top-level term scoring
    `abstract int` | `hashCode()`
    `abstract IntervalIterator` | `intervals(String field, LeafReaderContext ctx)` Create an `IntervalIterator` exposing the minimum intervals defined by this `IntervalsSource` Returns `null` if no intervals for this field exist in this segment
    `abstract MatchesIterator` | `matches(String field, LeafReaderContext ctx, int doc)` Return a `MatchesIterator` over the intervals defined by this `IntervalsSource` for a given document and field Returns `null` if no intervals exist in the given document and field
    `abstract String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntervalsSource

          public IntervalsSource()

  - ### Method Detail

    - #### intervals

          public abstract IntervalIterator intervals(String field,
                                                     LeafReaderContext ctx)
                                              throws IOException

      Create an `IntervalIterator` exposing the minimum intervals defined by this `IntervalsSource` Returns `null` if no intervals for this field exist in this segment
      Parameters:
        `field` - the field to read positions from
        `ctx` - the context for which to return the iterator
      Throws:
        `IOException`

    - #### matches

          public abstract MatchesIterator matches(String field,
                                                  LeafReaderContext ctx,
                                                  int doc)
                                           throws IOException

      Return a `MatchesIterator` over the intervals defined by this `IntervalsSource` for a given document and field Returns `null` if no intervals exist in the given document and field
      Parameters:
        `field` - the field to read positions from
        `ctx` - the document's context
        `doc` - the document to return matches for
      Throws:
        `IOException`

    - #### extractTerms

          public abstract void extractTerms(String field,
                                            Set<Term> terms)

      Expert: collect `Term` objects from this source, to be used for top-level term scoring
      Parameters:
        `field` - the field to be scored
        `terms` - a `Set` which terms should be added to

    - #### hashCode

          public abstract int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public abstract boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public abstract String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.